#ifndef USERSDIALOG_H
#define USERSDIALOG_H

#include <list>

#include <wx/wx.h>
#include <wx/choice.h>
#include <wx/textctrl.h>
#include <wx/textdlg.h>
#include <controller/KissCount.h>
#include "wxUI.h"

class wxUI;
class KissCount;

class UsersDialog : public wxDialog
{
public: 
  UsersDialog(KissCount* kiss, wxUI *parent);
  
  void OnOK(wxCommandEvent& event);
  void OnCancel(wxCommandEvent& event);
  void OnNewUser(wxCommandEvent& event);

private:
  KissCount* _kiss;
  wxUI* _wxUI;
  wxChoice* _users;
  wxTextCtrl* _password;

DECLARE_EVENT_TABLE()

};
#endif
